# ESAP


This is a repository for quickly having an instance of ESAP up & running. Batteries included.


## Quickstart

Requirements:
    
    Bash and Docker.


Setup

    $ esap/setup


Build

    $ esap/build


Run

    $ esap/run


Play

    Head to https://localhost
 

Logs

    $ esap/logs


Clean

    $ esap/clean

### Development mode

To get live code changes in the ESAP API gateway, uncomment the "volumes" section fot the `api-gateway` service in the `docker-compose.yml` file.

To get live code changes in the ESAP GUI, uncomment the "volumes" section fot the `gui` service in the `docker-compose.yml` file. NOTE: still to be tested and requires recompiling heh frinted.

### Extras

Build a specific service

    # esap/build service_name

Run a specific service

    # esap/run service_name

View logs of a specific service

    # esap/logs service_name

List all running services

    # esap/ps

Open a shell in a service

    # esap/shell service_name



### Building errors

It is common for the build process to fail with a "404 not found" error on an apt-get instrucions, as apt repositories often change their IP addresses. In such case, try:

    $ esap/build nocache


